<h1>Licord in warning</h1>
<br>

<mat-form-field>
    <mat-label>Filter</mat-label>
    <input matInput placeholder="Filtra" (keyup)="applyFilter($event)">
</mat-form-field>

<div>
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="token">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>TOKEN</th>
            <td mat-cell *matCellDef="let row">{{row.token}}</td>
        </ng-container>

        <ng-container matColumnDef="installatore">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>INSTALLATORE</th>
            <td mat-cell *matCellDef="let row">{{row.installatore}}</td>
        </ng-container>

        <ng-container matColumnDef="cliente">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>CLIENTE</th>
            <td mat-cell *matCellDef="let row">{{row.cliente}}</td>
        </ng-container>

        <ng-container matColumnDef="cantiere">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>CANTIERE</th>
            <td mat-cell *matCellDef="let row">{{row.cantiere}}</td>
        </ng-container>

        <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>DATE</th>
            <td mat-cell *matCellDef="let row">{{row.date}}</td>
        </ng-container>
        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>STATUS</th>
            <td mat-cell *matCellDef="let row">{{row.status}}</td>
        </ng-container>

        <ng-container matColumnDef="warning" >
            <th mat-header-cell *matHeaderCellDef mat-sort-header>WARNING</th>
            <td mat-cell *matCellDef="let row">

                    <img src={{row.warning}} alt="battery" width="20" title="this will be displayed as a tooltip" routerLinkActive="list-item-active" routerLink="/default/dashboard">


             </td>
            <!----<td mat-cell *matCellDef="let row"><mat-icon >{{row.warning}}</mat-icon></td>  /assets/lowbattery.png----->

        </ng-container>
        <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef mat-sort-header >DISABILITA</th>
            <td mat-cell *matCellDef="let row" > <mat-icon style="color: grey;" (click)="disableW(row.token)" >delete</mat-icon> </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="columns"></tr>
        <tr mat-row *matRowDef="let row; columns: columns;"></tr>

    </table>

    <mat-paginator [length]="posts.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
        aria-label="Select page">
    </mat-paginator>
    <br>
    <br>
</div>
